Last Comment Bug 151336 - [LINUX] can not drag bookmarks from a folder in the personal toolbar
: [LINUX] can not drag bookmarks from a folder in the personal toolbar
Status: RESOLVED FIXED
: pp
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: seamonkey2.0a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 133604
  Show dependency treegraph
 
Reported: 2002-06-12 15:08 PDT by Christophe Thalet
Modified: 2008-03-17 12:50 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) <bookmarksMenu.js> [Checkin: Comment 14] (1.32 KB, patch)
2008-03-16 06:46 PDT, Serge Gautherie (:sgautherie)
ajschult: review+
stefanh: review+
neil: superreview+
Details | Diff | Splinter Review

Description Christophe Thalet 2002-06-12 15:08:05 PDT
to open a page from personal toolbar, you can either click it or
drag it into the browser (or tab) window. OK so far.

But if the bookmark resides in a folder, you can *not* drag it there.

Please fix
Comment 1 Christophe Thalet 2002-06-12 15:09:49 PDT
additional explication:

the folder is part of the personal toolbar,
and in that folder the bookmark resides
Comment 2 Tuukka Tolvanen (sp3000) 2002-07-08 11:27:56 PDT
Confirmed linux trunk cvs 2002-07-08, don't see an open dup so marking new. Bug
118141 except for the 'open' part; propably fixed on windows on trunk. Reporter,
always include Mozilla's build id (on the title bar) when reporting bugs,
consider using bugzilla helper
<http://www.mozilla.org/quality/help/bugzilla-helper.html> to report bugs.
->bookmarks, pch
Comment 3 Pierre Chanial 2002-07-08 12:01:13 PDT
unfortunately, the patch in bug 145439 won't fix this issue.
Comment 4 Andreas Kunz 2004-01-30 09:32:00 PST
http://lxr.mozilla.org/seamonkey/source/xpfe/components/bookmarks/resources/bookmarksMenu.js#334
explains why this is disabled intentionally:
"on Linux, this causes an X-server crash"

You can easily test this by removing the first condition from
  if (navigator.platform != "Win32" && target.localName != "toolbarbutton")
    return;
in the lines below the cited one.
Comment 5 Henrik Skupin (:whimboo) 2005-06-04 17:33:55 PDT
I know there was a fork in the bookmark code for Firefox but reverting the
changes and using that feature no crash happens with Mozilla/5.0 (X11; U; Linux
i686; en-US; rv:1.8b2) Gecko/20050604 Firefox/1.0+. I can't test with Seamonkey
cause I don't have a trunk developer build available. If the crashes don't
appear anymore we could reactive this nice feature for Linux. For Firefox I
filed bug 296651.
Comment 6 Ray Booysen 2006-02-13 07:39:16 PST
Reassigning as per Bug #32644
Comment 7 Serge Gautherie (:sgautherie) 2008-03-11 08:29:34 PDT
From comment 5 and bug 296651 comment 1 (and bug 420341 comment 14),
it seems we could allow Linux too to bypass this test,
(which landed with bug 196756).
Comment 8 Serge Gautherie (:sgautherie) 2008-03-11 08:35:15 PDT
(In reply to comment #7)
> it seems we could allow Linux too to bypass this test,

Who could check and actually decide on this matter ?
Comment 9 Serge Gautherie (:sgautherie) 2008-03-11 10:12:04 PDT
Reminder:
This bug is about bypassing/removing, on Linux and/or MacOSX,
<http://bonsai.mozilla.org/cvsblame.cgi?file=/mozilla/suite/common/bookmarks/bookmarksMenu.js&rev=1.32&mark=366-372#357>

Linux: see comment 7.

MacOSX: bug 420341 comment 24 reads
{{ Stefan   2008-03-11 09:16:29 PDT
> > doesn't seem to change anything on mac (the folder still doesn't  open).
> 
> Could you check and comment on bug 151336, about "Mac bypassing" that other
> line too ?
> (Would it work ? Would that behavior be wanted ?)

I haven't checked, but it might work. Seems that mac Minefield suport this.
}}
Comment 10 Serge Gautherie (:sgautherie) 2008-03-16 06:46:13 PDT
Created attachment 309760 [details] [diff] [review]
(Av1) <bookmarksMenu.js>
[Checkin: Comment 14]

(I use Windows only.)
Andrew, Stefan, can you test this patch on Linux and MacOSX ?
Comment 11 Andrew Schultz 2008-03-16 09:21:22 PDT
Comment on attachment 309760 [details] [diff] [review]
(Av1) <bookmarksMenu.js>
[Checkin: Comment 14]

This makes drag and drop work on Linux, although it closes the menu after drop (as in bug 420341)
Comment 12 Stefan [:stefanh] 2008-03-16 13:14:09 PDT
Comment on attachment 309760 [details] [diff] [review]
(Av1) <bookmarksMenu.js>
[Checkin: Comment 14]

Yes, this works except that the menu closes. Note that this doesn't work in mac native menus and I don't think it's a "macish" behaviour. But I don't see anything evil in having it for mac.
Comment 13 Serge Gautherie (:sgautherie) 2008-03-16 17:45:09 PDT
(Would there be any release note or help to update about the new Linux/MacOSX behaviors from this bug and bug 420341 ?)
Comment 14 Andrew Schultz 2008-03-16 20:57:04 PDT
landed attachment 309760 [details] [diff] [review].  FIXED?
Comment 15 Serge Gautherie (:sgautherie) 2008-03-17 06:32:33 PDT
R.Fixed, WRT comment 4.

Reopen if comment 0 + comment 1 is not fixed as wanted.
(As I can't test Linux/MacOSX platforms.)

I'll try and look into the other (cross platform) D&D related issues (like tooltip "annoyance" and menu closing after drop) in seperate bugs.

Note You need to log in before you can comment on or make changes to this bug.